package cn.palmte.work.bean;

/**
 * { id:2, pId:0, name:"随意勾选 2", checked:true, open:true},
 * @author xiongshiyan at 2021/11/18 , contact me with email yanshixiong@126.com or phone 15208384257
 */
public class ZTreeNode {
    private String id;
    private String pId;
    private String name;
    private boolean checked = false;
    private boolean open = false;

    public ZTreeNode(String id, String pId, String name, boolean checked, boolean open) {
        this.id = id;
        this.pId = pId;
        this.name = name;
        this.checked = checked;
        this.open = open;
    }

    public ZTreeNode(String id, String pId, String name) {
        this.id = id;
        this.pId = pId;
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getpId() {
        return pId;
    }

    public void setpId(String pId) {
        this.pId = pId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    public boolean isOpen() {
        return open;
    }

    public void setOpen(boolean open) {
        this.open = open;
    }
}
